Bug 1535484 (CVE-2018-2562)

Summary: CVE-2018-2562 mysql: Server: Partition unspecified vulnerability (CPU Jan 2018)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, chrisw, databases-maint, dciabrin, hhorak, jjoyce, jorton, jschluet, jstanek, kbasil, lhh, lpeer, markmc, mbayer, mburns, mmuzila, mschorm, praiskup, rbryant, sclewis, slinaber, srevivo, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.5.59, mysql 5.6.39, mysql 5.7.20, mariadb 5.5.59, mariadb 10.2.13, mariadb 10.1.31, mariadb 10.0.34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-21 21:04:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1533831, 1533833, 1535519, 1559058, 1559060, 1559063, 1559064, 1584668, 1701266    
Bug Blocks: 1535524    

Description Adam Mariš 2018-01-17 14:08:33 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server : Partition). Supported versions that are affected are 5.5.58 and prior, 5.6.38 and prior and 5.7.19 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server as well as unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html

Comment 1 Adam Mariš 2018-01-17 14:49:38 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1535520]


Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1535519]

Comment 2 Tomas Hoger 2018-01-18 09:54:01 UTC
This issue was fixed in 5.7.20, so Red Hat Software Collections' rh-mysql57-mysql packages already include a fix since this update:

https://access.redhat.com/errata/RHSA-2017:3442

Comment 5 Joshua Padman 2018-02-06 20:52:20 UTC
Red Hat OpenStack 6 will be End of Life on the 17th of February. Marking flaws as wontfix.

Comment 9 errata-xmlrpc 2018-03-26 10:03:54 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0587 https://access.redhat.com/errata/RHSA-2018:0587

Comment 10 errata-xmlrpc 2018-08-16 14:15:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2439 https://access.redhat.com/errata/RHSA-2018:2439

Comment 11 errata-xmlrpc 2019-05-21 19:54:35 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258